package com.ruoyi.demo.converter;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.data.ReadCellData;
import com.alibaba.excel.metadata.data.WriteCellData;
import com.alibaba.excel.metadata.property.ExcelContentProperty;
import com.ruoyi.common.utils.StringUtils;

import java.util.List;

public class ListStringConverter implements Converter<List<String>> {
    @Override
    public Class<List> supportJavaTypeKey() {
        return List.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

    @Override
    public List<String> convertToJavaData(ReadCellData<?> cellData, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) {
        String value = cellData.getStringValue();
        if (StringUtils.isBlank(value)) return null;
        return StrUtil.split(value, ",", true, true);
    }

    @Override
    public WriteCellData<String> convertToExcelData(List<String> object, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) {
        if (CollUtil.isEmpty(object)) {
            return new WriteCellData<>("");
        }
        return new WriteCellData<>(StrUtil.join(",", object));
    }
}
