package com.ruoyi.demo.entity.bo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.converters.date.DateStringConverter;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import com.ruoyi.demo.converter.ListStringConverter;
import com.ruoyi.demo.entity.Commercial;
import com.ruoyi.demo.entity.vo.CommercialVo;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Data
public class CommercialBo {
    @ExcelProperty(value = "商户主键")
    private String commercialId;
    @ExcelProperty(value = "商户主键")
    private String commercialName;
    @ExcelProperty(value = "统一信用代码")
    private String code;
    @ExcelProperty(value = "商户类型")
    private String commercialType;
    @ExcelProperty(value = "状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "0=禁用,1=启用")
    private int state;
    @ExcelProperty(value = "负责人")
    private String principalName;
    @ExcelProperty(value = "负责人联系电话")
    private String principalTelephone;
    @ExcelProperty(value = "营业执照照片")
    private String prove1;
    @ExcelIgnore
    private String prove2;
    @ExcelIgnore
    private String prove3;
    @ExcelIgnore
    private String prove4;
    @ExcelIgnore
    private String prove5;
    @ExcelIgnore
    private String addrCode;
    @ExcelProperty(value = "地址")
    private String addrCodeInfo;
    @ExcelIgnore
    private String addrInfo;
    @ExcelProperty(value = "创建时间", converter = DateStringConverter.class)
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ExcelIgnore
    private Integer deleted;
    @ExcelProperty(value = "关联小程序", converter = ListStringConverter.class)
    private List<String> apps;

    public CommercialBo(Commercial commercial) {
        this.commercialId = commercial.getCommercialId();
        this.commercialName = commercial.getCommercialName();
        this.code = commercial.getCode();
        this.commercialType = commercial.getCommercialType();
        this.state = commercial.getState();
        this.principalName = commercial.getPrincipalName();
        this.principalTelephone = commercial.getPrincipalTelephone();
        this.prove1 = commercial.getProve1();
        this.prove2 = commercial.getProve2();
        this.prove3 = commercial.getProve3();
        this.prove4 = commercial.getProve4();
        this.prove5 = commercial.getProve5();
        this.addrCode = commercial.getAddrCode();
        this.addrInfo = commercial.getAddrInfo();
        this.addrCodeInfo = commercial.getAddrCodeInfo();
        this.createTime = commercial.getCreateTime();
    }
}
