package com.ruoyi.demo.entity.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.format.NumberFormat;
import com.alibaba.excel.converters.bigdecimal.BigDecimalNumberConverter;
import com.alibaba.excel.converters.date.DateStringConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.DlUser;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class DlUserListVo {
    @ExcelProperty(value = "用户ID")
    private String userId;
    @ExcelProperty(value = "用户名")
    private String userName;
    @ExcelProperty(value = "手机号")
    private String userTelephone;
    @ExcelIgnore
    private String startEquipmentId;
    @ExcelProperty(value = "扫码设备")
    private String startEquipmentName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = "扫码时间", converter = DateStringConverter.class)
    private Date startTime;
    @ExcelIgnore
    private String endEquipmentId;
    @ExcelProperty(value = "近期扫码设备")
    private String endEquipmentName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = "近期扫码时间", converter = DateStringConverter.class)
    private Date endTime;
    @ExcelProperty(value = "累计消费金额", converter = BigDecimalNumberConverter.class)
    @NumberFormat("#.##")
    private BigDecimal totalPrice;

    public DlUserListVo(){}
    public DlUserListVo(DlUser user){
        this.userId = user.getUserId();
        this.userName = user.getUserName();
        this.userTelephone = user.getUserTelephone();
        this.startEquipmentId = user.getStartEquipmentId();
        this.startEquipmentName = user.getStartEquipmentName();
        this.startTime = user.getStartTime();
        this.endEquipmentId = user.getEndEquipmentId();
        this.endEquipmentName = user.getEndEquipmentName();
        this.endTime = user.getEndTime();
        this.totalPrice = user.getTotalPrice();
    }
}
